FreeMat

- Main Page
- Related Pages

vtkPiecewiseFunctionShiftScale

Section: Visualization Toolkit Filtering Classes

# Usage

To create an instance of class vtkPiecewiseFunctionShiftScale, simply invoke its constructor as follows

      obj = vtkPiecewiseFunctionShiftScale

# Methods

The class vtkPiecewiseFunctionShiftScale has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPiecewiseFunctionShiftScale class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPiecewiseFunctionShiftScale = obj.NewInstance ()`
- `vtkPiecewiseFunctionShiftScale = obj.SafeDownCast (vtkObject o)`
- `obj.SetPositionShift (double )`
- `obj.SetPositionScale (double )`
- `obj.SetValueShift (double )`
- `obj.SetValueScale (double )`
- `double = obj.GetPositionShift ()`
- `double = obj.GetPositionScale ()`
- `double = obj.GetValueShift ()`
- `double = obj.GetValueScale ()`